RPM Community Forums

Mailing List Message of <rpm-devel>

null requirement produced by mono-find-requires

From: Silvan Calarco <silvan.calarco@mambasoft.it>
Date: Tue 11 Jan 2011 - 03:52:44 CET
Message-Id: <201101110352.44602.silvan.calarco@mambasoft.it>
Hi all,
our build of mono using rpm 5.2.1 produced a package with a null requirement 
and I had to fix this with the following patch:

--- /usr/lib/rpm/mono-find-requires.orig        2011-01-11 03:40:42.000000000 
+0100
+++ /usr/lib/rpm/mono-find-requires     2011-01-11 03:35:58.000000000 +0100
@@ -83,4 +83,4 @@
 # Of those, only chose the ones that are in REQUIRES
 #
 echo "$UNIQ
-$REQUIRES" | sort | uniq -d
+$REQUIRES" | sort | uniq -d | grep -v "^$"

Regards,
Silvan

-- 
mambaSoft di Calarco Silvan
Web: http://www.mambasoft.it
 
mambaSoft Store @ http://www.mambastore.it
openmamba GNU/Linux development @ http://www.openmamba.org
Received on Tue Jan 11 03:53:07 2011
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.